<?php
/*
Plugin Name: Copyrights for wordpress plugin
Plugin URI: http://www.kankod.com
Description: Copyright your unique content with the Kankod Copyright plugin for wordpress and be sure your content is safe from being copied.

Version: 0.1
Author: kankod.com
*/

if( !is_admin() ) {
	/*add_action('wp_print_scripts', 'copyrights_filter_footer');*/
	add_action('wp_head','copyrights_filter_footer');
}
add_action('admin_menu', 'copyrights_config_page');
add_shortcode('copyrightsThis', 'loadScripts' );

function copyrights_filter_footer() {
	$copyrightsEnabled = get_option('copyrights_enabled');
	if ($copyrightsEnabled) {
		loadScripts();
	}

}

function loadScripts(){
	wp_enqueue_script('copyrightsAlert', plugins_url('js/copyrights.js', __FILE__), false, false, true );
	
	$disableRightClick = get_option('copyrights_rightClick');
	
	if ($disableRightClick) {
		wp_enqueue_script('copyrightsRightClick', plugins_url('js/copyrightsRightClick.js', __FILE__), false, false, true );
	}
}



function copyrights_config_page() {
	add_submenu_page('options-general.php', __('Copyrights'), __('Copyrights'), 'manage_options', 'copyrights-key-config', 'copyrights_config');
}

function copyrights_config() {
	$copyrightsEnabled = get_option('copyrights_enabled');
	if ( isset($_POST['submit']) ) {
		if (isset($_POST['copyrights_enabled']))
		{
			if ($_POST['copyrights_enabled'] == 'on')
			{
				$copyrights_enabled = 1;
			}
			else
			{
				$copyrights_enabled = 0;
			}
		}
		else
		{
			$copyrights_enabled = 0;
		}
		
		if (isset($_POST['copyrights_rightClick']))
		{
			if ($_POST['copyrights_rightClick'] == 'on')
			{
				$copyrights_rightClick = 1;
			}
			else
			{
				$copyrights_rightClick = 0;
			}
		}
		else
		{
			$copyrights_rightClick = 0;
		}
		
		
		update_option('copyrights_rightClick', $copyrights_rightClick);
		update_option('copyrights_enabled', $copyrights_enabled);

		echo "<div id=\"updatemessage\" class=\"updated fade\"><p>Copyrights settings updated.</p></div>\n";
		echo "<script type=\"text/javascript\">setTimeout(function(){jQuery('#updatemessage').hide('slow');}, 3000);</script>";
			
	}
	?>
	<div class="wrap" style="width:99%;">
		<h2>Kankod Copyrights for WordPress Configuration</h2>
		<div class="postbox-container" style="width:100%;">
			<div class="metabox-holder">	
				<div class="meta-box-sortables">
					<form action="" method="post" id="">
					<div id="" class="postbox">
						<h3 class="hndle"><span>Kankod Copyrights for wordpress</span></h3>
						<h2>Copyright your unique content with Kankod Copyright and be sure your content is safe from being copied.</h2>
						<br/>
						<div class="inside">
								<div><input type="checkbox" id="" name="copyrights_enabled" <?php echo ($copyrights_enabled ? 'checked="checked"' : ''); ?> /> <label for="enabled">Enable Kankod copyrights on all pages</label></div>
								<br/>
								
								<div><input type="checkbox" id="" name="copyrights_rightClick" <?php echo ($copyrights_rightClick ? 'checked="checked"' : ''); ?> /> <label for="enabled">Ban right click</label></div>
								<br/>
								
								
								
								<div>If you dont want to Enable Copyrights on all pages, you can use this shortcode <strong>[copyrightsThis]</strong> on each individual post you with to enable Copyrights on</div>
								<br/>
								<div>
									For support and updates visit <a href="http://www.kankod.com" title="kakod for wordpress plugins">kankod.com</a>
								</div>
								<br/>
								<div>
									<iframe src="//www.facebook.com/plugins/likebox.php?href=http%3A%2F%2Fwww.facebook.com%2Fkankod&amp;width=292&amp;height=62&amp;colorscheme=light&amp;show_faces=false&amp;border_color&amp;stream=false&amp;header=true&amp;appId=161452587293470" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:292px; height:62px;" allowTransparency="true"></iframe></tr>
								</div>
						</div>
					</div>
					<div class="submit"><input type="submit" class="button-primary" name="submit" value="Update &raquo;" /></div>
					</form>
				</div>
			</div>
		</div>
	</div>
	<?php
} 
?>